Bug 19105 - XSS Stored in holidays.pl
Summary: XSS Stored in holidays.pl
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Amit Gupta
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14568
  Show dependency treegraph
 
Reported: 2017-08-15 03:51 UTC by Amit Gupta
Modified: 2017-09-07 06:14 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19105 - XSS Stored in holidays.pl (4.96 KB, patch)
2017-08-15 03:59 UTC, Amit Gupta
Details | Diff | Splinter Review
[SIGNED OFF] Bug 19105 - XSS Stored in holidays.pl (5.03 KB, patch)
2017-08-16 09:22 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19105 - XSS Stored in holidays.pl (5.11 KB, patch)
2017-08-16 11:50 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Amit Gupta 2017-08-15 03:51:43 UTC
XSS Stored in holidays.pl
Comment 1 Amit Gupta 2017-08-15 03:59:18 UTC
Created attachment 65993 [details] [review]
Bug 19105 - XSS Stored in holidays.pl

To Test
1. Hit the page /cgi-bin/koha/tools/holidays.pl
2. Select the date
3. Add a text in the field Title and Description that contains js
4. Save the page.
5. Notice js is execute
6. Apply patch and reload, the js is escaped

Fixed for all holidays
Comment 2 Katrin Fischer 2017-08-16 09:21:14 UTC
Interesting finding here: I still had the branch named "<script>alert("Test")</script>" and it executes twice on this page. Opened a separate bug: bug 19124
Comment 3 Katrin Fischer 2017-08-16 09:22:04 UTC
Created attachment 66052 [details] [review]
[SIGNED OFF] Bug 19105 - XSS Stored in holidays.pl

To Test
1. Hit the page /cgi-bin/koha/tools/holidays.pl
2. Select the date
3. Add a text in the field Title and Description that contains js
4. Save the page.
5. Notice js is execute
6. Apply patch and reload, the js is escaped

Fixed for all holidays

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Amit Gupta 2017-08-16 09:25:32 UTC
Hi Katrin

Can you please add me on bug 19124
Comment 5 Marcel de Rooy 2017-08-16 11:50:41 UTC
Created attachment 66078 [details] [review]
Bug 19105 - XSS Stored in holidays.pl

To Test
1. Hit the page /cgi-bin/koha/tools/holidays.pl
2. Select the date
3. Add a text in the field Title and Description that contains js
4. Save the page.
5. Notice js is execute
6. Apply patch and reload, the js is escaped

Fixed for all holidays

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Jonathan Druart 2017-08-29 15:07:42 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 7 Fridolin SOMERS 2017-09-05 12:43:55 UTC
Pushed to 17.05.x, is in 17.05.03
Comment 8 Katrin Fischer 2017-09-07 06:14:07 UTC
This patch has been pushed to 16.11.x and is in 16.11.11.